.fil-ariane, .realisation-content {
  background-color: #F5F5F5;
}

.bloc-realisation h1 {
    color: var(--wp--preset--color--principale-1);
    font-size: clamp(1.4rem, 4vw, 2rem);
    margin-bottom: 4rem;
}

.bloc-realisation h2 {
    color: var(--wp--preset--color--principale-1);
    font-size: clamp(0.8rem, 4vw, 1rem);
    padding-bottom: 0rem;
}

.bloc-realisation p, .bloc-realisation ul{
    font-size: clamp(0.8rem, 0.2vw + 0.82rem, 0.88rem);
    line-height: 1.5;
}

.realisation-content p,
.realisation-content ul,
.realisation-content .localisation,
.realisation-content .type-projet,
.realisation-content .date {
    margin-block-start: 0.2rem;
}

.realisation-columns{
    margin-bottom: 1.5rem;
}


.realisation-content .wp-block-gallery {
    display: grid !important;
    grid-template-columns: repeat(3, 1fr);
    gap: 1rem;
}

.realisation-content .wp-block-gallery .wp-block-image {
    width: 100% !important;
}

.realisation-content .wp-block-gallery .wp-block-image img {
    width: 100%;
    aspect-ratio: 1;
    object-fit: cover;
}




.bloc-realisation a {
  text-decoration: underline;

  text-decoration-thickness: 1px;
  text-underline-offset: 3px;
}

.bloc-realisation a:hover {
  color: var(--wp--preset--color--principale-1);
  text-decoration-color: var(--wp--preset--color--principale-1);
  text-decoration-thickness: 2px;
}


/* ==========================
   SECTION CTA
========================== */

.cta-section{
    background-color: var(--wp--preset--color--principale-1);
}


/* ==========================
   TITRE
========================== */

.cta-title {
    color: #fff;
    font-size: clamp(0.8rem, 2vw, 1.1rem);
    font-weight: 700;
    text-transform: uppercase;
    letter-spacing: 0.18em;
    line-height: 1.4;
    margin-bottom: 2rem;
}

/* ==========================
   GROUPE DE BOUTONS
========================== */

.cta-buttons {
    display: flex;
    gap: 1.5rem;
    flex-wrap: wrap;
}

/* ==========================
   BOUTON PRINCIPAL
========================== */



/* Bouton contour */

.cta-button--outline .wp-block-button__link {
    background: transparent !important;
    color: #fff !important;
    border: 1px solid #fff !important;
    border-radius: 4px !important;

    text-transform: uppercase;
    letter-spacing: 0.2em;
    font-size: 0.65rem;
    font-weight: 700;

    transition: all 0.3s ease;
}

/* Bouton plein */

.cta-button:not(.cta-button--outline) .wp-block-button__link {
    background: #fff !important;
    color: var(--wp--preset--color--principale-1) !important;
    border: 1px solid #fff !important;
    border-radius: 4px !important;

    text-transform: uppercase;
    letter-spacing: 0.2em;
    font-size: 0.65rem;
    font-weight: 700;

    transition: all 0.3s ease;
}

/* Hover */

.cta-button--outline .wp-block-button__link:hover {
    background: #fff !important;
    color: var(--wp--preset--color--principale-1) !important;
    border-radius: 4px !important;
}

.cta-button:not(.cta-button--outline) .wp-block-button__link:hover {
    background: transparent !important;
    color: #fff !important;
}


.cta-section .wp-block-columns {
    align-items: stretch;
}


.cta-image {
    display: flex;
}

.cta-image .wp-block-image {
    flex: 1;
    margin: 0;
}

.cta-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;

    clip-path: polygon(
        18% 0%,
        100% 0%,
        82% 100%,
        0% 100%
    );
}


/* ===============================
   Lien
=============================== */

.fil-ariane a {
  text-decoration: underline;

  text-decoration-thickness: 1px;
  text-underline-offset: 3px;
}

.fil-ariane a:hover {
  color: var(--wp--preset--color--principale-1);
  text-decoration-color: var(--wp--preset--color--principale-1);
  text-decoration-thickness: 2px;
}

.partner-link {
  margin-top: auto;
}

.partner-link a {
  font-size: 0.85rem;
  color: var(--wp--preset--color--principale-1);
  text-decoration: none;
  font-weight: 500;
  transition: color 0.2s;
}

.partner-link a:hover {
  text-decoration: underline;
  color: #333;
}









@media (max-width: 782px) {

    .realisation-columns {
        flex-direction: column-reverse;
    }

    .bloc-realisation h1 {
        margin-bottom: 2rem;
    }

    .realisation-columns{
        margin-bottom: 1.5rem;
    }

    .realisation-content .wp-block-gallery {
        grid-template-columns: repeat(2, 1fr);
        gap: 0.5rem;
    }

    .cta-image {
        
    }

    .cta-image img {
        clip-path: none;
        width: 100%;
        height: 100%;
        
    }

    .cta-section .wp-block-columns {
    align-items: stretch;
}

}